# Class SummonPhase

#### Hierarchy (view full)

- PartyMemberPokemonPhase
  - SummonPhase
    - SwitchSummonPhase
    - SummonMissingPhase

- Defined in src/phases.ts:1301

#####
Index

### Constructors

constructor

### Properties

fieldIndex
loaded
partyMemberIndex
player
scene

### Methods

end
executeForAll
getOrder
getParty
getPokemon
hideEnemyTrainer
onEnd
preSummon
queuePostSummon
showEnemyTrainer
start
summon

## Constructors

### constructor

- new SummonPhase(scene, fieldIndex, player?, loaded?): SummonPhase

- #### Parameters

  - scene: default
  - fieldIndex: number
  - player: boolean = true
  - loaded: boolean = false

  #### Returns SummonPhase

  Overrides PartyMemberPokemonPhase.constructor

  - Defined in src/phases.ts:1304

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from PartyMemberPokemonPhase.fieldIndex

- Defined in src/phases.ts:714

### `Private` loaded

loaded: boolean

- Defined in src/phases.ts:1302

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from PartyMemberPokemonPhase.partyMemberIndex

- Defined in src/phases.ts:713

### `Protected` player

player: boolean

Inherited from PartyMemberPokemonPhase.player

- Defined in src/phases.ts:715

### `Protected` scene

scene: default

Inherited from PartyMemberPokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Overrides PartyMemberPokemonPhase.end

  - Defined in src/phases.ts:1474

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PartyMemberPokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PartyMemberPokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getParty

- getParty(): default []

- #### Returns default []

  Inherited from PartyMemberPokemonPhase.getParty

  - Defined in src/phases.ts:727

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PartyMemberPokemonPhase.getPokemon

  - Defined in src/phases.ts:731

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PartyMemberPokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### onEnd

- onEnd(): void

- #### Returns void

  - Defined in src/phases.ts:1454

### preSummon

- preSummon(): void

- Sends out a Pokemon before the battle begins and shows the appropriate messages

  #### Returns void

  - Defined in src/phases.ts:1319

### queuePostSummon

- queuePostSummon(): void

- #### Returns void

  - Defined in src/phases.ts:1470

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PartyMemberPokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PartyMemberPokemonPhase.start

  - Defined in src/phases.ts:1310

### summon

- summon(): void

- #### Returns void

  - Defined in src/phases.ts:1376